# configure your datasource
#quarkus.datasource.db-kind =oracle
#quarkus.datasource.todos.jdbc.driver=oracle.jdbc.driver.OracleDriver
#quarkus.datasource.username = FS202_jmenne
#quarkus.datasource.password = Diamant1673
#quarkus.datasource.jdbc.url = jdbc:oracle:thin:@db-server.s-atiw.de:1521:

 
quarkus.datasource.username=postgres
quarkus.datasource.password=password
quarkus.datasource.db-kind=postgresql

quarkus.datasource.jdbc.url=jdbc:postgresql://localhost:5432/postgres
quarkus.hibernate-orm.log.sql=true

# drop and create the database at startup (use `update` to only update the schema)
quarkus.hibernate-orm.database.generation =update

#CORS-Settings
quarkus.http.cors=true
quarkus.http.cors.origins=http://localhost:4200,http://localhost:8080
quarkus.http.cors.headers=accept, origin, authorization, content-type, x-requested-with
quarkus.http.cors.methods=GET, OPTIONS, POST, DELETE, PUT


#For E-Mail (from google via smtp)
quarkus.mailer.auth-methods=DIGEST-MD5 CRAM-SHA256 CRAM-SHA1 CRAM-MD5 PLAIN LOGIN
quarkus.mailer.from=jonasmenne58@gmail.com
quarkus.mailer.host=smtp.gmail.com
quarkus.mailer.port=465
quarkus.mailer.ssl=true
quarkus.mailer.username=jonasmenne58@gmail.com
quarkus.mailer.password=jehyjbkrpepmcoxq

quarkus.mailer.mock=false



#sendgrid.smtp-host=smtp.sendgrid.net
#sendgrid.username=apikey
#sendgrid.key=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
#
#quarkus.mailer.host=${sendgrid.smtp-host}
#quarkus.mailer.port=465
#quarkus.mailer.username=${sendgrid.username}
#quarkus.mailer.password=${sendgrid.key}
#quarkus.mailer.start-tls=OPTIONAL
#quarkus.mailer.ssl=true
#quarkus.mailer.login=REQUIRED
#quarkus.mailer.from=jonas.menne@outlook.de

# In dev mode, prevent from using the mock SMTP server
